import { Logger } from "../lib/lambda-logger/index";
export declare class AuthNotificationService {
    log: Logger;
    staus: string[];
    sendSecretManagementNotification(appName: string, remainingDays: string, resetSecret: boolean, resetSecretStatusCode: number, isManualReset: boolean): Promise<any>;
    sendNotification(requestMessage: any): Promise<void>;
    private sendEmail;
    private updateAppAttributes;
    private getDataFromQuery;
    private getDataFromPayload;
    sendInactiveUserNotification(userEmail: any, emailContent: any, tenant_id: any): Promise<any>;
    sendProductErrorNotification(usersEmailList: any, emailContent: string, tenantId: string): Promise<any>;
    sendPortalNotification(usersEmailList: any, emailContent: string, tenantId: string): Promise<any>;
    getTenantAttributesByTenantId(tenantId: any): Promise<{
        tenant_template_name: any;
        tenant_email_fromaddress: any;
    }>;
    getTenantIdByAppName(appName: String): Promise<any>;
    sendJiraNotification(data: any, jiraDetails: any, tenantId: any): Promise<any>;
    isJSON(str: any): any;
}
